## DeSnap was written by Daniele Lucchini (www.litterae.eu) in November 2022. Last update November 2022.

## stop snap service
sudo systemctl disable snapd.service
sudo systemctl disable snapd.socket
sudo systemctl disable snapd.seeded.service

## snap list (installed snap packages). NB: update according to tour snap list
sudo snap remove firefox
sudo snap remove snap-store
sudo snap remove gtk-common-themes
sudo snap remove gnome-3-38-2004
sudo snap remove core18
sudo snap remove core20
sudo snap remove snapd-desktop-integration
sudo snap remove software-boutique
sudo snap remove ubuntu-mate-welcome
## snap list end

## uninstall and purge snapd
sudo rm -rf /var/cache/snapd/
sudo apt autoremove --purge snapd -y
sudo rm -rf ~/snap
sudo remove gnome-software-plugin-snap -y

## inhibit installation of firefox via snap
cat << TEXTFILE > firefox-no-snap
Package: firefox*
Pin: release o=Ubuntu*
Pin-Priority: -1
TEXTFILE
sudo mv firefox-no-snap /etc/apt/preferences.d/

## inhibit re-installation of snap
cat << TEXTFILE > nosnap.pref
Package: snapd
Pin: release a=*
Pin-Priority: -10
TEXTFILE
sudo mv nosnap.pref /etc/apt/preferences.d/

## add firefox apt repository for ubuntu 22.04. NB: activate only if you want to install firefox on ubuntu 22.04
# sudo add-apt-repository ppa:mozillateam/ppa
# sudo apt install firefox -y
